apiVersion: v1
kind: Secret
metadata:
  name: {{ include "playwright-proxy.fullname" . }}
  labels:
    {{- include "playwright-proxy.labels" . | nindent 4 }}
type: Opaque
data:
  SESSION_SECRET: {{ .Values.secrets.sessionSecret | default (randAlphaNum 32 | b64enc) | b64enc | quote }}
  JWT_SECRET: {{ .Values.secrets.jwtSecret | default (randAlphaNum 32 | b64enc) | b64enc | quote }}
  {{- if .Values.redis.enabled }}
  REDIS_PASSWORD: {{ .Values.redis.auth.password | b64enc | quote }}
  {{- end }}
